package com.bleujin.framework.db;

import java.sql.SQLException;

import com.bleujin.framework.db.manager.DBManager;
import com.bleujin.framework.db.procedure.IQueryable;

public interface IDBController extends IQueryFactory{
	public String getName() ;
	public DBManager getDBManager() ;

	public void initSelf() throws SQLException ;
	public void destroySelf() throws SQLException ;
	
	public void handleServant(long start, long end, IQueryable queryable, int queryCommand) ;
}
