package com.bleujin.framework.db.procedure;

import com.bleujin.framework.db.IDBController;

public class Oracle8iRepositoryService extends RepositoryService
{
    public Oracle8iRepositoryService() {
    }

    public UserProcedureBatch createUserProcedureBatch(IDBController dc, String procSQL) {
        return new Oracle8iUserProcedureBatch(dc, procSQL);
    }

    public UserProcedure createUserProcedure(IDBController dc, String proc) {
        return new Oracle8iUserProcedure(dc, proc);
    }

    public UserCommand createUserCommand(IDBController dc, String sql) {
        return new Oracle8iUserCommand(dc, sql);
    }

    public UserCommand createCacheUserCommand(IDBController dc, String sql) {
        return new OracleImplicitCacheCommand(dc, sql);
    }

    public UserCommandBatch createUserCommandBatch(IDBController dc, String sql) {
        return new Oracle8iUserCommandBatch(dc, sql);
    }

}
