package com.bleujin.framework.util;

import java.util.HashMap;

public class CaseInsensitiveHashMap<K, V> extends HashMap<K, V> {

	public CaseInsensitiveHashMap() {
	}

	public boolean containsKey(Object key) {
		return super.containsKey(key.toString().toLowerCase());
	}

	public V get(Object arg0) {
		return (V) super.get(arg0.toString(). toLowerCase());
	}

	public V put(K arg0, V arg1) {
		return (V) super.put(((K) ((String) arg0).toLowerCase()), arg1);
	}
}
