package com.bleujin.framework.util;

import java.util.List;
import java.util.Vector;

import org.apache.commons.lang.StringUtils;

/**
 * Strng Array String ¸  ȯѴ.
 * @author bleujin
 * @version 1.0
 */

public class Converter
{
    public Converter()
    {
    }

    /**
     * ','  ڿ String array
     * @param str String
     * @return String[]
     */
    public static String[] stringToArray(String str){
        return StringUtil.split(str) ;
    }

    /**
     * ڿ 迭 .
     * @param str String 迭  ϴ ڿ
     * @param div String 
     * @return String[]
     */
    public static String[] stringToArray(String str, String div){
        if (str == null || str.equals("")){
            return new String[0] ;
        } else if (str.indexOf(",") == -1) {
            return StringUtil.split(StringUtil.replace(str, div, ",")) ;
        } else {
//            StringTokenizer token = new StringTokenizer(str, div) ;
//            String[] result = new String[token.countTokens()] ;
//            for(int i=0 ; token.hasMoreTokens(); i++){
//                result[i] = (String)token.nextElement() ;
//            }
//            String[] result = str.split(div);

            Vector vt = new Vector();
            int pos1 = 0;
            int pos2 = 0;
            int cnt = 0;
            while(true)
            {
                pos2 = str.indexOf(div, pos1);
                if (pos2 == -1) {
                    if(!str.substring(pos1).equals(""))
                    {
                        vt.add(str.substring(pos1));
                        cnt++;
                    }
                    break;
                }
                vt.add(str.substring(pos1, pos2));
                cnt++;
                pos1 = pos2 + div.length();
            }

            if (str.length() >= div.length() && str.substring(str.length()-div.length(), str.length()).equals(div)){
                cnt++;
                vt.add("");
            }

            String[] result = new String[cnt] ;

            for(int i=0; i < vt.size(); i++)
            {
                result[i] = (String)vt.get(i);
            }
            return result ;
        }
    }

    public static String arrayToStringWithNoEndMark(String[] str){
        return arrayToStringWithNoEndMark(str, ",") ;
    }

    public static String arrayToStringWithNoEndMark(String[] str, String div){
        return arrayToStringWithNoEndMark(str, div, "");
    }

    public static String arrayToStringWithNoEndMark(String[] str, String div, String repString){
        if ((str == null) || (str.length == 0 )){
            return repString ;
        }

        return StringUtil.join(str, div) ;
    }


    public static String arrayToString(String[] str){
        return StringUtils.join(str, ",") ;
    }

    public static String arrayToString(String[] str, String div){
        if (str == null|| str.length == 0){
            return "" ;
        }
        return StringUtil.join(str, div) ;
    }

    public static String arrayToString(String[] str, int startposition, int length){
        return arrayToString(str, ",", startposition, length) ;
    }

    /**
     * ڿ 迭 ڿ .
     * @param str String[] ٲٰ ϴ 迭
     * @param div String 
     * @param startposition int ٲٰ ϴ 迭  ε
     * @param length int ٲٰ ϴ 迭 ε 
     * @return String  ڿ
     */
    public static String arrayToString(String[] str, String div, int startposition, int length){
        StringBuffer result = new StringBuffer() ;

        int last = 0;
        if (str != null){
            last = str.length > startposition + length ? startposition + length : str.length ;
        }

        for(int i=startposition; i < last ; i++){
            result.append(str[i] + div) ;
        }
        return result.toString() ;
    }

    public static Vector listToVector(List list) {
        Vector vector = new Vector();
        vector.addAll(list);
        return vector;

    }

    public static Vector arrayToVector(Object[] obj) {
        Vector vector = new Vector();
        for(int i=0, last=obj.length ; i<last ; i++){
            vector.add(obj[i]) ;
        }

        return vector;
    }


}
