package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class BetweenLength extends BaseValidation{

	
	private int minLength ;
	private int maxLength ;
	public BetweenLength(IValueObject valueObject, String name, int minLength, int maxLength){
		super(valueObject, name) ;
		this.minLength = minLength ;
		this.maxLength = maxLength ;
	}
	
	public boolean isValid() {
		int valueLength = getPropertyLength() ;
		
		return valueLength >= minLength && valueLength <= maxLength;
	}

}