package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class Email implements IValidation{

	private RegularExpression re ;
	
	public Email(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^((\\w|[\\-\\.])+)@((\\w|[\\-\\.])+)\\.([A-Za-z]+)$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}

}