package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class IpAddress implements IValidation{

	private RegularExpression re ;
	
	public IpAddress(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^(((((1[0-9][0-9]|2[0-4][0-9])|25[0-5])|[1-9][0-9]?)|0)\\.){3}(((((1[0-9][0-9]|2[0-4][0-9])|25[0-5])|[1-9][0-9]?)|0)){1}$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}

}
