package com.bleujin.framework.valid.validator;

import java.util.Collection;

import com.bleujin.framework.valid.IValueObject;

public class LeastOneItem extends BaseValidation{

	public LeastOneItem(IValueObject value, String name) {
		super(value, name);
	}

	public boolean isValid() {
		Object value = invokeGetter() ;
		if (value instanceof Collection) throw new IllegalArgumentException("type of value must be Collection") ;
		
		return ((Collection)value).size() > 0 ;
	}

}
