package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class MaxUTFByteLength extends BaseValidation {

	private int maxLength;

	public MaxUTFByteLength(IValueObject valueObject, String name, int maxLength) {
		super(valueObject, name);
		this.maxLength = maxLength;
	}

	public boolean isValid() {
		return getPropertyUTF8ByteLength() <= maxLength;
	}

}
