package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class MinUTFByteLength extends BaseValidation {

	private int minLength;

	public MinUTFByteLength(IValueObject valueObject, String name, int maxLength) {
		super(valueObject, name);
		this.minLength = maxLength;
	}

	public boolean isValid() {
		return getPropertyUTF8ByteLength() >= minLength;
	}

}