package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class OnlyNumber implements IValidation{

	private RegularExpression re ;
	
	public OnlyNumber(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^[0-9]+$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}

}