package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class Password implements IValidation{

	private RegularExpression re ;
	
	public Password(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^[a-z0-9\\~`!@#\\$%\\^&\\*\\(\\)\\+\\?\\.,;:\"'\\{\\}\\<\\>_\\\\\\/]+$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}

}
