package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class Path implements IValidation{

	private RegularExpression re ;
	
	public Path(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^([a-zA-Z]:\\\\[^/:\\*\\?<>\\|]+\\.\\w{2,6})|(\\\\{2}[^/:\\*\\?<>\\|]+\\.\\w{2,6})$") ;
	}

	public boolean isValid() {
		// throw new UnsupportedOperationException();
		return re.isValid();
	}

}