package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class SmallAlphaNum implements IValidation{

	private RegularExpression re ;
	
	public SmallAlphaNum(IValueObject value, String name) {
		this.re = new RegularExpression(value, name, "^[a-z0-9]*$") ;
	}

	public boolean isValid() {
		return re.isValid();
	}

}
