package com.bleujin.framework.valid.validator;

import java.util.ArrayList;
import java.util.List;

public class ValidSet implements IValidation {

	List<IValidation> valids = new ArrayList<IValidation>();

	public void add(IValidation v) {
		valids.add(v);
	}

	public boolean isValid() {
		boolean result = true;
		for (IValidation v : valids) {
			result = result && v.isValid();
		}
		return result;
	}

}
