package com.bleujin.framework.db.procedure;

import java.sql.SQLException;

import com.bleujin.framework.db.Page;
import com.bleujin.framework.db.Rows;


public interface IQueryable {

	public final int QUERY_COMMAND = 1 ;
	public final int UPDATE_COMMAND = 2 ;
	
	public void setPage(Page page) ;
	public Page getPage() ;
	
	public Rows execQuery() throws SQLException ;
    public int execUpdate() throws SQLException ;

	public void cancel() throws SQLException, InterruptedException ;
	
    // public Rows myQuery(Connection conn) throws SQLException ;
    // public int myUpdate(Connection conn) throws SQLException ;
    
    public int getQueryType() ;
    public String getProcSQL() ;
    public String getProcFullSQL() ;
    public String getDBType() ;
}
