package com.bleujin.framework.db.servant;

import java.sql.SQLException;

import com.bleujin.framework.db.manager.DBManager;
import com.bleujin.framework.db.procedure.IQueryable;


/**
 * <p>Title: </p>
 * <p>Description: when some condition, add new query at existing query. example index query..</p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: i-on</p>
 * @author bleujin
 * @version 1.0
 */

public interface PrimaryServant {
	public final static PrimaryServant EMPTY_PRIMARYSERVANT = new PrimaryServant(){
		public IQueryable addQuery(DBManager dbm, IQueryable query) throws SQLException {
			return query;
		}} ;
	
    public IQueryable addQuery(final DBManager dbm, final IQueryable query) throws SQLException ;
}
