package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class Equal extends BaseValidation{

	private String anotherName ;
	public Equal(IValueObject valueObject, String name, String anotherName) {
		super(valueObject, name);
		this.anotherName = anotherName ;
	}

	public boolean isValid() { 
		Object value = invokeGetter() ;
		Object anotherValue = invokeGetter(anotherName) ;
		if (value == null || anotherName == null) return false ;
		
		return value.equals(anotherValue) ;
	}
	
}