package com.bleujin.framework.valid.validator;

import com.bleujin.framework.valid.IValueObject;

public class MaxLength extends BaseValidation{

	
	private int maxLength ;
	public MaxLength(IValueObject valueObject, String name, int maxLength){
		super(valueObject, name) ;
		this.maxLength = maxLength ;
	}
	
	public boolean isValid() {
		return getPropertyLength() <= maxLength ;
	}

}
